OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Private Attributes | Friends
ScriptStorage Class Reference

The storage for each script. More...

`#include <script_storage.hpp>`

## Private Attributes
ScriptModeProc * | mode
| The current build mode we are int.
class ScriptObject * | mode_instance
| The instance belonging to the current build mode.
CompanyID | root_company
| The root company, the company that the script really belongs to.
CompanyID | company
| The current company.
uint | delay
| The ticks of delay each DoCommand has.
bool | allow_do_command
| Is the usage of DoCommands restricted?
CommandCost | costs
| The costs the script is tracking.
Money | last_cost
| The last cost of the command.
uint | last_error
| The last error of the command.
bool | last_command_res
| The last result of the command.
VehicleID | new_vehicle_id
| The ID of the new Vehicle.
SignID | new_sign_id
| The ID of the new Sign.
GroupID | new_group_id
| The ID of the new Group.
GoalID | new_goal_id
| The ID of the new Goal.
StoryPageID | new_story_page_id
| The ID of the new StoryPage.
StoryPageID | new_story_page_element_id
| The ID of the new StoryPageElement.
std::vector< int > | callback_value
| The values which need to survive a callback.
RoadType | road_type
| The current roadtype we build.
RailType | rail_type
| The current railtype we build.
void * | event_data
| Pointer to the event data storage.
void * | log_data
| Pointer to the log data storage.

## Friends
class | ScriptObject

## Detailed Description

The storage for each script.

It keeps track of important information.

Definition at line 33 of file script_storage.hpp.

The documentation for this class was generated from the following files:

- src/script/script_storage.hpp
- src/script/script_instance.cpp